#### D.12.4.11 pairset

Procedure from library `teachstd.lib` (see teachstd_lib).

Usage:
  pairset(G); G ideal or module

Return:
  list L,
  L[1] = the pairset of G as list (not containing pairs for which the product or the chain criterion applies),
  L[2] = intvec v, v[1]= # product criterion, v[2]= # chain criterion

Example:

    LIB "teachstd.lib";
    ring r=0,(x,y,z),dp;
    ideal G = x2y+x2,y3+xyz,xyz2+z4;
    pairset(G);"";
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=x2y+x2
    ==>       _[2]=y3+xyz
    ==>    [2]:
    ==>       _[1]=x2y+x2
    ==>       _[2]=xyz2+z4
    ==>    [3]:
    ==>       _[1]=y3+xyz
    ==>       _[2]=xyz2+z4
    ==> [2]:
    ==>    0,0
    ==>
    module T = [x2y3-z2,x2y],[x2y2+z2,x2-y2],[x2y4+z3,x2+y2];
    pairset(T);
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=x2y3*gen(1)+x2y*gen(2)-z2*gen(1)
    ==>       _[2]=x2y2*gen(1)+x2*gen(2)-y2*gen(2)+z2*gen(1)
    ==>    [2]:
    ==>       _[1]=x2y3*gen(1)+x2y*gen(2)-z2*gen(1)
    ==>       _[2]=x2y4*gen(1)+z3*gen(1)+x2*gen(2)+y2*gen(2)
    ==> [2]:
    ==>    0,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.